Bug 118879 - openssl .spec doesn't build on alpha. Fix included.
Summary: openssl .spec doesn't build on alpha. Fix included.
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: openssl (Show other bugs)
(Show other bugs)
Version: 1
Hardware: alpha Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard: triage|leonardjo|easyfix
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-22 09:29 UTC by Bert de Bruijn
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-10 09:38:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bert de Bruijn 2004-03-22 09:29:56 UTC
Description of problem: openssl.spec defines "alpha-gcc" instead of
"linux-alpha-gcc"

Version-Release number of selected component (if applicable):
 openssl 0.9.7, 0.9.6b, probably others too

How reproducible:
 try to rebuild openssl-0*src.rpm on Fedora or Red Hat for Alpha
 rpm -i openssl-0*src.rpm
 rpmbuild -bb openssl.spec
 watch it fail with -ldl or tru64 related errors

Steps to Reproduce:
1. rpm -i openssl-0*src.rpm
2. rpmbuild -bb openssl.spec
3. watch it fail with -ldl or tru64 related errors
  
Actual results:
 build fails with dlopen/dlclose errors or tru64 errors

Expected results:
 build succeeds

Additional info:
 openssl.spec defines
%ifarch alpha
sslarch=alpha-gcc
sslflags=no-asm
%endif
 but should define
%ifarch alpha
sslarch=linux-alpha-gcc
sslflags=no-asm
%endif

The difference between both options is obvious from
# grep alpha-gcc openssl-engine-0.9.6b/Configure
"alpha-gcc","gcc:-O3::(unknown)::SIXTY_FOUR_BIT_LONG RC4_CHUNK
DES_UNROLL DES_RISC1:${alpha_asm}:dlfcn:tru64-shared::.so",
"linux-alpha-gcc","gcc:$ENV{RPM_OPT_FLAGS}
-DTERMIO::-D_REENTRANT:-ldl:SIXTY_FOUR_BIT_LONG RC4_CHUNK DES_RISC1
DES_UNROLL:${alpha_asm}:dlfcn:linux-shared:-fPIC:.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",

alpha-gcc selects the tru64 settings with gcc as the compiler, rather
than linux on alpha with gcc.

Comment 1 Leonard den Ottolander 2004-11-27 13:15:02 UTC
Issue still exists on FC3 for openssl096b. It is fixed for 0.9.7a
(2004/06/07).

I'm not sure if it is worth the effort to open a new report for
openssl096b.

EASYFIX.


Comment 2 Tomas Mraz 2005-02-10 09:38:24 UTC
Alpha is not supported, openssl096b is dropped from FC4 devel.



Note You need to log in before you can comment on or make changes to this bug.